## AudioTrack

A representation of a single `AudioTrack`. If it is part of an AudioTrackList only one `AudioTrack` in the list will be enabled at a time.

## Constructor

#### new AudioTrack(optionsopt)
`tracks/audio-track.js`, `line 13`

  Create an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `options` | Object | <optional> | {} | Object of option names and values ###### Properties
  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `kind` | AudioTrack~Kind | <optional> | '' | A valid audio track kind
  `id` | string | <optional> | 'vjs_track_' + Guid.newGUID() | A unique id for this AudioTrack.
  `label` | string | <optional> | '' | The menu label for this track.
  `language` | string | <optional> | '' | A valid two character language code.
  `enabled` | boolean | <optional> |  | If this track is the one that is currently playing. If this track is part of an AudioTrackList, only one AudioTrack will be enabled.

  See:

    - Spec

### Extends

- Track

### Members

#### enabled :boolean
`tracks/audio-track.js`, `line 53`

  If this `AudioTrack` is enabled or not. When setting this will fire AudioTrack#enabledchange if the state of enabled is changed.

  ##### Fires:

  - VideoTrack#event:selectedchange

#### readonly id :string
`tracks/track.js`, `line 62`

  The id of this track. Cannot be changed after creation.

  Inherited From:
    - Track#id

#### readonly kind :string
`tracks/track.js`, `line 71`

  The kind of track that this is. Cannot be changed after creation.

  Inherited From:
    - Track#kind

#### readonly label :string
`tracks/track.js`, `line 80`

  The label of this track. Cannot be changed after creation.

  Inherited From:
    - Track#label

#### readonly language :string
`tracks/track.js`, `line 89`

  The two letter language code for this track. Cannot be changed after creation.

  Inherited From:
    - Track#language

#### inner Kind
`tracks/track-enums.js`, `line 21`

  All possible `AudioTrackKind`s

  See:
    - https://html.spec.whatwg.org/multipage/embedded-content.html#dom-audiotrack-kind

### Events

#### enabledchange
`tracks/audio-track.js`, `line 73`

  An event that fires when enabled changes on this track. This allows the AudioTrackList that holds this track to act accordingly.

  > Note: This is not part of the spec! Native tracks will do this internally without an event.

  ##### Type:

  - EventTarget~Event